Go Back   nV News Forums > Linux Support Forums > NVIDIA Linux

Newegg Daily Deals

Reply
 
Thread Tools
Old 02-26-11, 06:28 PM   #1
wolle213
Registered User
 
Join Date: Feb 2011
Posts: 1
Unhappy Can't bind kernel module

Hallo,

i'm not able to compile the kernelmodule on Debian testing for a 450GTS Graphic-Card.
I always get the following error:

" /usr/bin/gcc-4.3 -Wp,-MD,/tmp/selfgz9272/NVIDIA-Linux-x86_64-260.19.36/ker
nel/.nv.o.d -nostdinc -isystem /usr/lib/gcc/i486-linux-gnu/4.3.5/include -I
include -Iinclude2 -I/usr/src/linux-headers-2.6.32-5-common/include -I/usr/s
rc/linux-headers-2.6.32-5-common/arch/x86/include -include include/linux/aut
oconf.h -I/tmp/selfgz9272/NVIDIA-Linux-x86_64-260.19.36/kernel -D__KERNEL_
_ -Wall -Wundef -Wstrict-prototypes -Wno-trigraphs -fno-strict-aliasing -fno
-common -Werror-implicit-function-declaration -Wno-format-security -fno-dele
te-null-pointer-checks -Os -m64 -mtune=generic -mno-red-zone -mcmodel=kernel
-funit-at-a-time -maccumulate-outgoing-args -DCONFIG_AS_CFI=1 -DCONFIG_AS_CF
I_SIGNAL_FRAME=1 -pipe -Wno-sign-compare -fno-asynchronous-unwind-tables -mn
o-sse -mno-mmx -mno-sse2 -mno-3dnow -fomit-frame-pointer -Wdeclaration-after
-statement -Wno-pointer-sign -fno-strict-overflow -I/tmp/selfgz9272/NVIDIA
-Linux-x86_64-260.19.36/kernel -Wall -MD -Wsign-compare -Wno-cast-qual -Wno-
error -D__KERNEL__ -DMODULE -DNVRM -DNV_VERSION_STRING=\"260.19.36\" -mcmod
el=kernel -mno-red-zone -UDEBUG -U_DEBUG -DNDEBUG -DMODULE -D"KBUILD_STR(s)
=#s" -D"KBUILD_BASENAME=KBUILD_STR(nv)" -D"KBUILD_MODNAME=KBUILD_STR(nvidia
)" -c -o /tmp/selfgz9272/NVIDIA-Linux-x86_64-260.19.36/kernel/.tmp_nv.o /tm
p/selfgz9272/NVIDIA-Linux-x86_64-260.19.36/kernel/nv.c
In file included from /tmp/selfgz9272/NVIDIA-Linux-x86_64-260.19.36/kernel/n
v-linux.h:16,
from /tmp/selfgz9272/NVIDIA-Linux-x86_64-260.19.36/kernel/n
v.c:13:
/tmp/selfgz9272/NVIDIA-Linux-x86_64-260.19.36/kernel/conftest.h:37:2: error:
#error acpi_walk_namespace() conftest failed!
/tmp/selfgz9272/NVIDIA-Linux-x86_64-260.19.36/kernel/conftest.h:41:2: error:
#error pci_dma_mapping_error() conftest failed!
In file included from /tmp/selfgz9272/NVIDIA-Linux-x86_64-260.19.36/kernel/n
v.c:13:
/tmp/selfgz9272/NVIDIA-Linux-x86_64-260.19.36/kernel/nv-linux.h:229:2: error
: #error "NV_PCI_DMA_MAPPING_ERROR() undefined!"
/tmp/selfgz9272/NVIDIA-Linux-x86_64-260.19.36/kernel/nv-linux.h:233:6: warni
ng: "NV_ACPI_WALK_NAMESPACE_ARGUMENT_COUNT" is not defined
/tmp/selfgz9272/NVIDIA-Linux-x86_64-260.19.36/kernel/nv-linux.h:235:8: warni
ng: "NV_ACPI_WALK_NAMESPACE_ARGUMENT_COUNT" is not defined
/tmp/selfgz9272/NVIDIA-Linux-x86_64-260.19.36/kernel/nv-linux.h:241:2: error
: #error "NV_ACPI_WALK_NAMESPACE_ARGUMENT_COUNT value unrecognized!"
/tmp/selfgz9272/NVIDIA-Linux-x86_64-260.19.36/kernel/nv.c: In function ‘nv
_lock_user_pages’:
/tmp/selfgz9272/NVIDIA-Linux-x86_64-260.19.36/kernel/nv.c:5233: error: impli
cit declaration of function ‘NV_PCI_DMA_MAPPING_ERROR’
make[4]: *** [/tmp/selfgz9272/NVIDIA-Linux-x86_64-260.19.36/kernel/nv.o] Feh
ler 1
make[3]: *** [_module_/tmp/selfgz9272/NVIDIA-Linux-x86_64-260.19.36/kernel]
Fehler 2
make[2]: *** [sub-make] Fehler 2
NVIDIA: left KBUILD.
nvidia.ko failed to build!
make[1]: *** [module] Fehler 1
make: *** [module] Fehler 2
-> Error.
ERROR: Unable to build the NVIDIA kernel module.
ERROR: Installation has failed. Please see the file
'/var/log/nvidia-installer.log' for details. You may find suggestions
on fixing installation problems in the README available on the Linux
driver download page at www.nvidia.com.
-> No distribution failed-install script found.
"

I downloaded the NVIDIA-Linux-x86_64-260.19.36 Driver
gcc-Version: 4.3.5
Distri: Linux version 2.6.32-5-amd64 (Debian 2.6.32-30)



Andy idea?
Thanks
wolle213 is offline   Reply With Quote
Reply


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Forum Jump


All times are GMT -5. The time now is 12:15 AM.


Powered by vBulletin® Version 3.7.1
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Copyright ©1998 - 2014, nV News.